Subject: Re: bug#30184: guix publish issue: guix substitute: error: corrupt input while restoring
From: [email-masked] (Ludovic Courtès)
To: Christopher Baines <[email-masked]>
Cc: [email-masked]
Date: Mon, 22 Jan 2018 11:17:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Christopher Baines <[email-masked]> skribis:

> I think something may have broken recently with the guix publish
> service. I run this on a server with very basic configuration, just
> setting the host, but I noticed recently that there were problems using
> the service. The following example is guix failing to download something
> from that server.
>
> Downloading http://beid.cbaines.net/nar/gzip/pwg84wqsniamc4vx9c7p06284i5rxiay-wxwidgets-3.0.3...
>  wxwidgets-3.0.3                                                       256KiB/s 00:00 | 16KiB transferred
> gzip: stdin: not in gzip format

This is fixed in 33988f9b5876e4b44cabe1997a91eb604931c1ca.

I’ll update the ‘guix’ snapshot for those who use the ‘guix-publish’
service on GuixSD.

Thank you!

Ludo’.